Podręcznik PHP
Poprzedni |  | Następny

# mysqli_fetch

(PHP 5 CVS only)

mysqli_fetch

(no version information, might be only in CVS)

stmt->fetch -- Fetch results from a prepared statement into the bound variables

## Description

Procedural style:

mixed mysqli_fetch ( object stmt)

Object oriented style (method):

class stmt {
mixed fetch ( void )
}

mysqli_fetch() returns row data using the variables bound by mysqli_bind_result().

> Notatka: Note that all columns must be bound by the application before calling mysqli_fetch().

## Return values

Tabela 1. Return values

Value | Description
--- | ---
`TRUE` | Success. Data has been fetched
`FALSE` | Error occured
``NULL`` | No more rows/data exists

## See also

mysqli_prepare(), mysqli_stmt_errno(), mysqli_stmt_error(), mysqli_bind_result()

Poprzedni | Spis treści | Następny
mysqli_fetch_row | Początek rozdziału | mysqli_field_count